Package io.flutter.plugin.platform

# Class SurfaceTexturePlatformViewRenderTarget

java.lang.Object
io.flutter.plugin.platform.SurfaceTexturePlatformViewRenderTarget

All Implemented Interfaces:
  `PlatformViewRenderTarget`

public class SurfaceTexturePlatformViewRenderTarget extends Object implements PlatformViewRenderTarget

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SurfaceTexturePlatformViewRenderTarget(TextureRegistry.SurfaceTextureEntry surfaceTextureEntry)`
  Implementation of PlatformViewRenderTarget

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Surface`
  `createSurface()`
  `int`
  `getHeight()`
  `long`
  `getId()`
  `Surface`
  `getSurface()`
  `int`
  `getWidth()`
  `boolean`
  `isReleased()`
  `void`
  `release()`
  `void`
  `resize(int width, int height)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface io.flutter.plugin.platform.PlatformViewRenderTarget

  `scheduleFrame`

- ## Constructor Details

  - ### SurfaceTexturePlatformViewRenderTarget

    public SurfaceTexturePlatformViewRenderTarget(TextureRegistry.SurfaceTextureEntry surfaceTextureEntry)
    Implementation of PlatformViewRenderTarget

- ## Method Details

  - ### createSurface

    protected Surface createSurface()

  - ### resize

    public void resize(int width, int height)
    Specified by:
      `resize` in interface `PlatformViewRenderTarget`

  - ### getWidth

    public int getWidth()
    Specified by:
      `getWidth` in interface `PlatformViewRenderTarget`

  - ### getHeight

    public int getHeight()
    Specified by:
      `getHeight` in interface `PlatformViewRenderTarget`

  - ### getId

    public long getId()
    Specified by:
      `getId` in interface `PlatformViewRenderTarget`

  - ### isReleased

    public boolean isReleased()
    Specified by:
      `isReleased` in interface `PlatformViewRenderTarget`

  - ### release

    public void release()
    Specified by:
      `release` in interface `PlatformViewRenderTarget`

  - ### getSurface

    @RequiresApi(26) public Surface getSurface()
    Specified by:
      `getSurface` in interface `PlatformViewRenderTarget`